-- fusentest.fs_address definition

CREATE TABLE `fs_address` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL COMMENT '用户ID',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT '地址名称',
  `first_name` varchar(64) NOT NULL COMMENT 'FirstName',
  `last_name` varchar(64) NOT NULL COMMENT 'LastName',
  `mobile` varchar(16) NOT NULL COMMENT '手机号码',
  `street` varchar(128) NOT NULL COMMENT '街道',
  `suite` varchar(128) NOT NULL COMMENT '房号',
  `city` varchar(128) NOT NULL COMMENT '城市',
  `state` varchar(128) NOT NULL COMMENT '州名',
  `country` varchar(128) NOT NULL COMMENT '国家',
  `zip_code` varchar(128) NOT NULL COMMENT '邮编',
  `status` tinyint(1) NOT NULL COMMENT '1正常 0异常',
  `is_default` tinyint(1) NOT NULL COMMENT '1默认地址，0非默认地址',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `user_id` (`user_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=129 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='用户地址表';