package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsProductDesignModel = (*customFsProductDesignModel)(nil)

type (
	// FsProductDesignModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductDesignModel.
	FsProductDesignModel interface {
		fsProductDesignModel
	}

	customFsProductDesignModel struct {
		*defaultFsProductDesignModel
	}
)

// NewFsProductDesignModel returns a model for the database table.
func NewFsProductDesignModel(conn sqlx.SqlConn) FsProductDesignModel {
	return &customFsProductDesignModel{
		defaultFsProductDesignModel: newFsProductDesignModel(conn),
	}
}
